(add-to-load-path (dirname (current-filename)))
(use-modules (gnu) (cobra os))

(operating-system
  (inherit %base-guix-system)
  (host-name "Xenon")
  (mapped-devices (list
                    (mapped-device
                      (source (uuid "7f14752f-0802-414c-bc2a-7b82ebda1444"))
                      (target "fde")
                      (type luks-device-mapping))
                    (mapped-device
                      (source "matrix")
                      (targets (list "matrix-rootvol"))
                      (type lvm-device-mapping))))
  (file-systems (append (list
                          (file-system
                            (type "btrfs")
                            (mount-point "/")
                            (device (file-system-label "root"))
                            (flags '(no-atime))
                            (options "space_cache=v2")
                            (needed-for-boot? #t)
                            (dependencies mapped-devices)))
                       %base-file-systems)))
